org.apache.olingo.commons.api.edm.provider

## Class CsdlEntityType

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlStructuralType
    - - org.apache.olingo.commons.api.edm.provider.CsdlEntityType

- All Implemented Interfaces:
    CsdlAnnotatable, CsdlNamed

      public class CsdlEntityType
      extends CsdlStructuralType

  The type Csdl entity type.

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.commons.api.edm.provider.CsdlStructuralType

      `annotations, baseType, isAbstract, isOpenType, name, navigationProperties, properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlEntityType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CsdlPropertyRef>` | `getKey()` Gets key.
    `boolean` | `hasStream()` Has stream.
    `boolean` | `isHasStream()` Has stream.
    `CsdlEntityType` | `setAbstract(boolean isAbstract)` Sets abstract.
    `CsdlEntityType` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlEntityType` | `setBaseType(FullQualifiedName baseType)` Sets base type.
    `CsdlEntityType` | `setBaseType(String baseType)` Sets base type.
    `CsdlEntityType` | `setHasStream(boolean hasStream)` Sets has stream.
    `CsdlEntityType` | `setKey(List<CsdlPropertyRef> key)` Sets key.
    `CsdlEntityType` | `setName(String name)` Sets name.
    `CsdlEntityType` | `setNavigationProperties(List<CsdlNavigationProperty> navigationProperties)` Sets navigation properties.
    `CsdlEntityType` | `setOpenType(boolean isOpenType)` Sets open type.
    `CsdlEntityType` | `setProperties(List<CsdlProperty> properties)` Sets properties.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlStructuralType

      `getAnnotations, getBaseType, getBaseTypeFQN, getName, getNavigationProperties, getNavigationProperty, getProperties, getProperty, isAbstract, isOpenType`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlEntityType

          public CsdlEntityType()

  - ### Method Detail

    - #### hasStream

          public boolean hasStream()

      Has stream.
      Returns:
        the boolean

    - #### isHasStream

          public boolean isHasStream()

      Has stream. Duplicate getter according to java naming conventions.
      Returns:
        the boolean

    - #### setHasStream

          public CsdlEntityType setHasStream(boolean hasStream)

      Sets has stream.
      Parameters:
        `hasStream` - the has stream
      Returns:
        the has stream

    - #### getKey

          public List<CsdlPropertyRef> getKey()

      Gets key.
      Returns:
        the key

    - #### setKey

          public CsdlEntityType setKey(List<CsdlPropertyRef> key)

      Sets key.
      Parameters:
        `key` - the key
      Returns:
        the key

    - #### setName

          public CsdlEntityType setName(String name)

      Description copied from class: `CsdlStructuralType`
      Sets name.
      Overrides:
        `setName` in class `CsdlStructuralType`
      Parameters:
        `name` - the name
      Returns:
        the name

    - #### setOpenType

          public CsdlEntityType setOpenType(boolean isOpenType)

      Description copied from class: `CsdlStructuralType`
      Sets open type.
      Overrides:
        `setOpenType` in class `CsdlStructuralType`
      Parameters:
        `isOpenType` - the is open type
      Returns:
        the open type

    - #### setBaseType

          public CsdlEntityType setBaseType(String baseType)

      Description copied from class: `CsdlStructuralType`
      Sets base type.
      Overrides:
        `setBaseType` in class `CsdlStructuralType`
      Parameters:
        `baseType` - the base type
      Returns:
        the base type

    - #### setBaseType

          public CsdlEntityType setBaseType(FullQualifiedName baseType)

      Description copied from class: `CsdlStructuralType`
      Sets base type.
      Overrides:
        `setBaseType` in class `CsdlStructuralType`
      Parameters:
        `baseType` - the base type
      Returns:
        the base type

    - #### setAbstract

          public CsdlEntityType setAbstract(boolean isAbstract)

      Description copied from class: `CsdlStructuralType`
      Sets abstract.
      Overrides:
        `setAbstract` in class `CsdlStructuralType`
      Parameters:
        `isAbstract` - the is abstract
      Returns:
        the abstract

    - #### setProperties

          public CsdlEntityType setProperties(List<CsdlProperty> properties)

      Description copied from class: `CsdlStructuralType`
      Sets properties.
      Overrides:
        `setProperties` in class `CsdlStructuralType`
      Parameters:
        `properties` - the properties
      Returns:
        the properties

    - #### setNavigationProperties

          public CsdlEntityType setNavigationProperties(List<CsdlNavigationProperty> navigationProperties)

      Description copied from class: `CsdlStructuralType`
      Sets navigation properties.
      Overrides:
        `setNavigationProperties` in class `CsdlStructuralType`
      Parameters:
        `navigationProperties` - the navigation properties
      Returns:
        the navigation properties

    - #### setAnnotations

          public CsdlEntityType setAnnotations(List<CsdlAnnotation> annotations)

      Description copied from class: `CsdlStructuralType`
      Sets a list of annotations
      Overrides:
        `setAnnotations` in class `CsdlStructuralType`
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.